<img src="./assets/images/logo.png" style="margin: auto" width="90" />

# TailorMade: Managing a Fashion designer's daily routine.

TailorMade is what actually started out as an experiment with [Flutter](https://flutter.io/), [flutter_redux](https://github.com/brianegan/flutter_redux) and [Firebase Cloud Functions](https://github.com/flutter/plugins/tree/master/packages/cloud_functions) but instead turned out to be a valuable tool for managing a Fashion designer's daily routine. It is clean, easy on the eyes and overall has a very smooth feel. It also handles offline use cases with Firebase Cloud. Logo, Design & Concept by Me.

<div>
<a href='https://play.google.com/store/apps/details?id=io.github.jogboms.tailormade'><img alt='Get it on Google Play' src='./screenshots/google_play.png' height='40px'/></a>
</div>

## Tools

1.  Firebase Auth
2.  Firebase Cloud Firestore
3.  Firebase Cloud Functions
4.  Firebase Storage
5.  Google SignIn
6.  RxDart
7.  Flutter Redux
8.  Redux Epics
9.  Image Picker
10. Photo View
11. Cached Network Image
12. Flutter SpinKit
13. Flutter Get Version
14. Flutter Masked Text

For a full description of OSS used, see pubspec.yaml

## UI Shots

<div style="text-align: center">
  <table>
    <tr>
      <td style="text-align: center">
        <img src="./screenshots/ss01.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss02.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss03.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss04.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss05.png" width="200" />
      </td>
    </tr>
    <tr>
      <td style="text-align: center">
        <img src="./screenshots/ss06.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss07.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss08.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss09.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss10.png" width="200" />
      </td>
    </tr>
    <tr>
      <td style="text-align: center">
        <img src="./screenshots/ss11.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss12.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss13.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss14.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss15.png" width="200" />
      </td>
    </tr>
    <tr>
      <td style="text-align: center">
        <img src="./screenshots/ss16.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss17.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss18.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss19.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss20.png" width="200" />
      </td>
    </tr>
    <tr>
      <td style="text-align: center">
        <img src="./screenshots/ss21.png" width="200" />
      </td>
      <td style="text-align: center">
        <img src="./screenshots/ss22.png" width="200" />
      </td>
    </tr>
  </table>
</div>

For help getting started with Flutter, view our online
[documentation](https://flutter.io/).
